Subject: Re: Problem building CVS-1.10.x
From: Earnie Boyd <[email-masked]>
To: "Steven N. Hirsch" <[email-masked]>
Cc: Trevor Forbes <[email-masked]>, [email-masked]
Date: Tue, 28 Dec 1999 17:40:24 -0800 (PST)

--- "Steven N. Hirsch" <[email-masked]> wrote:
-8<-
> This is what results:
> 
> Found: .\cvs-1.10.7.exe
> Found: f:\local\bin\cvs-1.10.7.exe
> .\cvs-1.10.7.exe
>   C:\CYGNUS\CYGWIN~1\H-I586~1\BIN\cygwin1.dll

Yep.  It's a Cygwin app.

> > 
> > > 	/bin
> > > 	/usr/local/bin
> > > 	/CYGNUS/CYGWIN~1/H-I586~1/BIN
> > > 	/bin
> > > 	/usr/local/bin
> > > 	/WINNT/system32
> > > 	/WINNT
> > 
> > It will be to your benefit to clean up the path for Cygwin.  This can
> > be best accomplished by adding `export
> > PATH=/bin:/usr/local/bin:/dosD/cvs:/WINNT/system32:/WINNT` to your
> > ~/.bashrc file.
> 
> You stumped me here.  The shell won't run unless 
> /CYGNUS/CYGWIN~1/H-I586~1/BIN is on the path.  I did rework it to keep
> redundancy to a mimimum:
> 
> /usr/local/bin:/CYGNUS/CYGWIN~1/H-I586~1/BIN:/WINNT/system32:/WINNT
> 

Oh, sorry.  People tend to mount /CYGNUS/CYGWIN~1/H-I586~1/BIN as /bin. 
Reducing the redundancy is good in that it reduces the amount of time it takes
to do the PATHing.

> > >                   "cygwin1.dll" v0.0 ts=1998/12/3 23:39
> > > Use -h to see help about each section
> > > 
> > 
> 
> > This version of the cygwin1.dll is broken (see my webpages).  You need
> > at least the Jan 15th snapshot.  I would suggest that you even get the
> > latest snapshot from the snapshots page
> 
> > (http://sourcware.cygnus.com/cygwin/snapshots/).  You'll need the
> 
> > cygwin-inst tarball and the most recent cygwin1-YYYYMMDD.dll.gz.  Be
> > sure to have a fall back procedure as all of the caveats apply.
> > 
> 
> I updated to most recent cygwin1-YYYYetc.. and cywin-inst.  No change in
> (mis)behavior.  It would be great if someone could double-check me on
> this by downloading any recent cvs newer than 1.10.5 or so and building
> with the configure defaults.  If you can check modules from a unix-based
> CVS server, you're further than I'm getting.
> 

Great.  No, I've not used cvs in this manner.  How is the UNIX based server
being accessed.  What it sounds like you're running into is the M$ version of a
line ending, i.e.: \r\n.  This can be avoided if you ensure that the access to
the server is in binary mode processing.  Set CYGWIN="... tty binmode ..."
before starting bash.  Use the binary mode mounts for all mounts. Caveat to
this, all text files must have UNIX style endings.

The other thing you can do coding wise is to read the DOS side in text mode and
output the UNIX side in binary mode.  If this sound like garbage, do a little
archive searching.

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://messenger.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]